
---
-- Ground Warfare Script basic example
-- https://github.com/birgersp/dcs-gws
--
-- Lines beginning with "--" are comments and does not affect the code
-- Put the standalone script and this script in "do script file" actions in a mission start trigger
-- Remember to re-load this script to your mission after you have edited it, it is not necessary to re-load the standalone
-- Comments above code blocks explain what the code is doing





---
-- (RED TASK FORCE)

gws_Setup:new()
  :addBaseZone("RED_BASE_1")
  :setReinforceTimer(300)
  :setReinforceTimerMax(3600)
  :setAdvancementTimer(400)
  :setSpeed(5)
  :startUsingRoads()
  :addControlZone("OBJ_1")
  :stopUsingRoads()
  :addControlZone("OBJ_2")
  :startUsingRoads()
  :addControlZone("OBJ_3")
  :stopUsingRoads()
  :addControlZone("OBJ_4")
  
gws_Setup:new()
  :addBaseZone("RED_BASE_2")
  :setReinforceTimer(300)
  :setReinforceTimerMax(3600)
  :setAdvancementTimer(400)
  :setSpeed(5)
  :startUsingRoads()
  :addControlZone("OBJ_1N")
  :stopUsingRoads()
  :addControlZone("OBJ_2N")
  :startUsingRoads()
  :addControlZone("OBJ_3")
  :addControlZone("OBJ_4")
  
-- (BLUE TASK FORCE)

gws_Setup:new()
  :addBaseZone("BLUE_BASE_1")
  :setReinforceTimer(300)
  :setReinforceTimerMax(3600)
  :setAdvancementTimer(400)
  :setSpeed(5)
  :startUsingRoads()
  :addIntermidiateZone("BLUE_1")
  :addControlZone("OBJ_4")
  :stopUsingRoads()
  :addControlZone("OBJ_3")
  :addControlZone("OBJ_2")
  